Summary:	Graph - Editor and a Programming Environement
Name:		rocs
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/rocs
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	grantlee5-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5itemviews-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5texteditor-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5ScriptTools)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5XmlPatterns)

%description
Rocs aims to be a Graph Theory IDE for helping professors to show the results
of a graph algorithm and also helping students to do the algorithms.
Rocs has a scripting module, done in Qt Script, that interacts with the drawn
graph and every change in the graph with the script is reflected on the drawn
one.

%files
%doc AUTHORS COPYING.DOC COPYING.GPL2 COPYING.LIB.LGPL-2.1 COPYING.DOC README
%{_kde5_applicationsdir}/org.kde.rocs.desktop
%{_kde5_bindir}/rocs
%{_kde5_datadir}/config.kcfg/rocs.kcfg
%dir %{_kde5_datadir}/rocs/
%{_kde5_datadir}/rocs/*
%{_kde5_docdir}/HTML/en/rocs
%{_kde5_iconsdir}/hicolor/*/apps/rocs.*
%{_kde5_iconsdir}/hicolor/*/actions/rocs*.*
%{_kde5_xmlguidir}/rocs/rocsui.rc
%{_datadir}/appdata/org.kde.rocs.appdata.xml
%{_qt5_plugindir}/rocs/*/*.so

#----------------------------------------------------------------------------

%define rocsgraphtheory_major 0
%define librocsgraphtheory %mklibname rocsgraphtheory %{rocsgraphtheory_major}

%package -n %{librocsgraphtheory}
Summary:	Runtime library for Rocs
Group:		System/Libraries

%description -n %{librocsgraphtheory}
Runtime library for Rocs.

%files -n %{librocsgraphtheory}
%{_kde5_libdir}/librocsgraphtheory.so.%{rocsgraphtheory_major}*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{librocsgraphtheory} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 16.04.0
Obsoletes:	%{name}-devel < 16.04.0

%description -n %{devname}
Files needed to build applications based on %{name}.

%files -n %{devname}
%{_kde5_includedir}/rocs
%{_kde5_libdir}/librocsgraphtheory.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (51cdf6b) New version 16.04.3


